/*
 * Author:      William Chia-Wei Cheng (william@cs.ucla.edu)
 *
 * Copyright (C) 1990-1993, William Cheng.
 *
 * Permission limited to the use, copy, modify, and distribute this software
 * and its documentation for any purpose is hereby granted by the Author without
 * fee, provided that the above copyright notice appear in all copies and
 * that both the copyright notice and this permission notice appear in
 * supporting documentation, and that the name of the Author not be used
 * in advertising or publicity pertaining to distribution of the software
 * without specific, written prior permission.  The Author makes no
 * representations about the suitability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.  All other
 * rights (including the right to sell "tgif" and the right to sell derivative
 * works of tgif) are reserved by the Author.
 *
 * THE AUTHOR DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, INDIRECT OR
 * CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
 * USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
 * OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THIS SOFTWARE.
 *
 * @(#)$Header: /amnt/kona/tangram/u/william/X11/TGIF2/RCS/polygon.e,v 2.13 1993/08/05 05:03:34 william Exp $
 */

#ifndef _POLYGON_E_
#define _POLYGON_E_

extern int	polygonDrawn;

extern XPoint	* MakePolygonVertex ARGS_DECL((int XOff, int YOff, int NumVs,
		                               XPoint *));
/* extern void	RotatePolygonObj ARGS_DECL((void)); */
extern void	DumpPoints ARGS_DECL((FILE *, int NumPts, XPoint *,
		                      int Indent));
extern void	DumpPolygonObj ARGS_DECL((FILE *, struct ObjRec *));
extern void	DrawPolygonObj ARGS_DECL((Window, int XOff, int YOff,
		                          struct ObjRec *));
extern void	DrawPolygon ARGS_DECL((XEvent *));
extern void	InputPolygonPts ARGS_DECL((void));
extern void	SavePolygonObj ARGS_DECL((FILE *, struct ObjRec *));
extern void	ReadPolygonObj ARGS_DECL((FILE *, char *Inbuf,
		                          struct ObjRec **));
extern void	FreePolygonObj ARGS_DECL((struct ObjRec *));

#endif /*_POLYGON_E_*/
